Page MenuHomeFreeBSD

[sysutils/zrepl] update to 0.1.1
ClosedPublic

Authored by mizhka on Apr 29 2019, 1:24 PM.

Details

Summary

[sysutils/zrepl] update to 0.1.1

Test Plan

Build tested in poudriere 12-STABLE.
Tested for local replication

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mizhka created this revision.Apr 29 2019, 1:24 PM
me_cschwarz.com added inline comments.
sysutils/zrepl/Makefile
76 ↗(On Diff #56804)

I don't know how useful the generated man-pages are.
I only check the html version during development.

Either way, I think it might make sense to _also_ include the generated HTML and / or plaintext in the port.

linimon resigned from this revision.May 2 2019, 6:08 AM
mizhka added inline comments.May 2 2019, 7:01 AM
sysutils/zrepl/Makefile
76 ↗(On Diff #56804)

MAN page is good in case you work in closed datacenter with limited access to internet from servers. if zrepl provides docs in text formats, it will save my time. HTML is also good option, let's add it.

mat added inline comments.May 2 2019, 7:58 AM
sysutils/zrepl/Makefile
76 ↗(On Diff #56804)

FreeBSD has man pages. Ports that can have useful man pages should always install them by default.

Hi mizhka,

Thanks for submitting this review. For the most part it looks great. I aim to review this in detail on the weekend, and hopefully commit it.

Regards,
Ben

This revision was not accepted when it landed; it landed in state Needs Review.Jun 4 2019, 2:14 PM
This revision was automatically updated to reflect the committed changes.